Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# CREATE FOREIGN TABLE

## Name

CREATE FOREIGN TABLE -- define a new foreign table

## Synopsis

    CREATE FOREIGN TABLE [ IF NOT EXISTS ] table_name ( [
      { column_name data_type [ OPTIONS ( option 'value' [, ... ] ) ] [ NULL | NOT NULL ] }
        [, ... ]
    ] )
      SERVER server_name
    [ OPTIONS ( option 'value' [, ... ] ) ]

## Description

> Note: The following description applies only to Postgres-XC

`FOREIGN DATA WRAPPER` has not been supported by Postgres-XC yet. This command may be supported in the future releases.

Prev | Home | Next
CREATE FOREIGN DATA WRAPPER | Up | CREATE FUNCTION